$(function () {
    var $statusFilter = $('#statusFilter');
    
    $('.RequestTitle').click(e => {
        let currentID = e.target.id;
        let descriptionID = currentID.replace('requestTitle', '#requestContent');
        $(descriptionID).slideToggle(300);
    });

    let updatePage = status => location.href = `?filter=${status}`;
    $statusFilter.change(e => updatePage($(e.target).val()));
    
    $('.RequestStatus').change(function (e) {
        let requestId = e.target.id.replace('requestStatus', '');
        let status = $(this).val();
        let filter = $statusFilter.val();
        let $statusSelect = $(this);
        let $issue = $("#requestIssue".concat(requestId));

        $statusSelect.turnOff();

        $.postJSON(g_URLdir + 'handler/RequestsProcessing/setStatus', {
            requestID: requestId,
            status:    status
        }).always(_ => $statusSelect.turnOn())
            .done(res => Popup.message(!!res.success, 'Статус изменён!', 'Ошибка!'));

        let isSatisfyFilter = filter == 'all' || status == filter;
        $issue.attr('style', isSatisfyFilter ? '' : 'border: 3px solid #B70400');
    });

    $('.RefreshButton').click(function () {
        $(this).attr('class', 'fa fa-refresh fa-spin fa-md RefreshButton');
        updatePage($statusFilter.val());
    });
});
